; This file contains all the variables that "customize"
; Doszip to your particular needs.
;
; The entries have the following format:
;
; [<Section name>]
; <Entry name>=<properties>
;
; Space and tabs may appear before or after the equal sign.
;
[Filetype]
txt=%edit%
asm=%edit%
inc=%edit%
vbs=%edit%
ini=%edit%
h=%edit%
c=%edit%
mak=wmake -a -f
makefile=wmake -a -f

[View]
;F3=
;Alt=
;Ctrl=
;Shift=

[Edit]
;F3=
;Alt=
;Ctrl=
;Shift=

[TVColor]
00=17
01=0F

[Style]
asm=asm
inc=asm
c=c
h=c

[Directory]
00=Doszip &Directory,%doszip%
01=&Config Directory,%dz%
02=<>
03=System &Root,%SYSTEMROOT%
04=&Program Files,%PROGRAMFILES%
05=&Home Path,%HOMEDRIVE%%HOMEPATH%
06=&User Profile,%USERPROFILE%
07=<>
08=&Temp Directory,%TEMP%

[Tools]
00=&Add tool,%edit% %dz%\dz.ini
01=<>
02=View &DOSZIP.TXT,%view% %dz%\doszip.txt

[Filter]
00=&Executable,*.exe *.com *.bat
01=&Compressed,*.lzh *.zoo *.zip *.arj *.pak *.arc *.7z *.bz2 *.tar
02=&Source code,*.asm *.inc *.c *.h

[Load]
;00=mode con lines=25

[MKList]
00=Delete .err files,err.bat@del %f\n
01=Object list1,objects1.mif@%n.obj \\\n
02=Object list2,objects2.mif@%n.obj &\n

[Comspec]
00=%SystemRoot%\system32\cmd.exe
01=/C

[AltF3]
asm=asm -X -I%doszip%\inc -D__DZ__
[ShiftF3]
asm=asm -X -I%doszip%\inc -D__DZ__ -DDEBUG

[Compress]
00=7Z  - 7ZA.EXE
01=ARJ - ARJ.EXE
02=RAR - RAR.EXE
[7Z  - 7ZA.EXE]
00=7za u -y
02=.7z
[ARJ - ARJ.EXE]
00=arj u -jm -y
01=!
02=.arj
[RAR - RAR.EXE]
00=rar u -y
02=.rar

[Decompress]
00=7Z  -- 7ZA.EXE
01=ARJ -- ARJ.EXE
02=RAR -- RAR.EXE
[7Z  -- 7ZA.EXE]
00=7za x -y
01=-o
[ARJ -- ARJ.EXE]
00=arj x -y
[RAR -- RAR.EXE
00=rar x -y
